<?php

namespace CameraBundle\Form;

use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolver;

class CameraType extends AbstractType
{
    /**
     * {@inheritdoc}
     */
    public function buildForm(FormBuilderInterface $builder, array $options)
    {
        $builder->add('brand')
        	->add('type')
        	->add('isDigital')
        	->add('mount')
        	->add('model')
        	->add('filmFormat')
        	->add('cropFactor')
        	->add('serial')
        	->add('purchasePrice')
        	->add('batteryType')
        	->add('received')
        	->add('isWorking')
        	->add('formerlyOwned')
        	->add('notes');
    }

    /**
     * {@inheritdoc}
     */
    public function configureOptions(OptionsResolver $resolver)
    {
        $resolver->setDefaults(array(
            'data_class' => 'CameraBundle\Entity\Camera'
        ));
    }

    /**
     * {@inheritdoc}
     */
    public function getBlockPrefix()
    {
        return 'camerabundle_camera';
    }


}
